#vertexshader

//varying vec4 pos;
varying vec3 normal;
varying vec4 color;

void main()
{
	//pos = ftransform();
	//gl_Position = pos;
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
//	gl_TexCoord[0] = gl_MultiTexCoord0;
	normal = gl_Normal;
        normal = gl_NormalMatrix * normal;
	color = gl_Color;
}

#fragmentshader

varying vec3 normal;
varying vec4 color;
uniform sampler2D Texture0;

void main()
{

	vec3 lightdir = normalize(vec3(0.0,1.0,0.0));
	vec3 c = (dot(lightdir, normal)+0.5)/1.5 * color.xyz;
	gl_FragColor = vec4(c,1);
}
